SDL_AudioStreamDataCompleteCallback(3type)

NAME
SDL_AudioStreamDataCompleteCallback - A callback that fires for completed SDL_PutAudioStreamDataNoCopy() data.

SYNOPSIS
#include <SDL3/SDL_audio.h>

typedef void (SDLCALL *SDL_AudioStreamDataCompleteCallback)(void *userdata, const void *buf, int buflen);

DESCRIPTION
When using SDL_PutAudioStreamDataNoCopy() to provide data to an SDL_AudioStream, it's not safe to dispose of the data until the stream has completely consumed it. Often times it's difficult to know exactly when this has happened.

This callback fires once when the stream no longer needs the buffer, allowing the app to easily free or reuse it.

FUNCTION PARAMETERS

userdata
    an opaque pointer provided by the app for their personal use.

buf the pointer provided to SDL_PutAudioStreamDataNoCopy().

buflen
    the size of buffer, in bytes, provided to SDL_PutAudioStreamDataNoCopy().

THREAD SAFETY
This callbacks may run from any thread, so if you need to protect shared data, you should use SDL_LockAudioStream to serialize access; this lock will be held before your callback is called, so your callback does not need to manage the lock explicitly.

AVAILABILITY
This datatype is available since SDL 3.4.0.

SEE ALSO
SDL_SetAudioStreamGetCallback(3), SDL_SetAudioStreamPutCallback(3)